For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Fleet

get

Fleet Resource Fields

Field

id

uuid

organization

actor

app_name

slug

should_be_running__release

application_type

is_for__device_type

should_track_latest_release

is_accessible_by_support_until__date

is_public

is_host

is_archived

is_discoverable

is_stored_at__repository_url

created_at


Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
get/v7/application
GET /v7/application HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
post/v7/application
POST /v7/application HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
get/v7/application(<ID>)
GET /v7/application(<ID>) HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
delete/v7/application(<ID>)
DELETE /v7/application(<ID>) HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
patch/v7/application(<ID>)
PATCH /v7/application(<ID>) HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
SLUGanyRequired
get/v7/application(slug='<SLUG>')
GET /v7/application(slug='<SLUG>') HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
SLUGanyRequired
patch/v7/application(slug='<SLUG>')
PATCH /v7/application(slug='<SLUG>') HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Last updated

Was this helpful?